<?php

## Tie Widgets
add_action( 'widgets_init', 'tie_widgets_init' );
function tie_widgets_init() {
	$before_widget =  '<div id="%1$s" class="widget %2$s">';
	$after_widget  =  '</div><!-- .widget /-->';
	$before_title  =  '<h4 class="widget-top">';
	$after_title   =  '</h4>
						';
					
	register_sidebar( array(
		'name' =>  __( 'Primary Widget Area', 'tie' ),
		'id' => 'primary-widget-area',
		'description' => __( 'The Primary widget area', 'tie' ),
		'before_widget' => $before_widget , 'after_widget' => $after_widget , 'before_title' => $before_title , 'after_title' => $after_title ,
	) );

	//Custom Sidebars
	$sidebars = tie_get_option( 'sidebars' ) ;
	if($sidebars){
		foreach ($sidebars as $sidebar) {
			register_sidebar( array(
				'name' => $sidebar,
				'id' => sanitize_title($sidebar),
				'before_widget' => $before_widget , 'after_widget' => $after_widget , 'before_title' => $before_title , 'after_title' => $after_title ,
			) );
		}
	}
	

}
?>