<?php
	global $thumb;
	if( !empty($thumb2) ) $thumb = $thumb2;
	
	$portfolio_open = tie_get_option('portfolio_open'); 
?>
<?php while ( have_posts() ) : the_post();?>
	<?php
	$postID = get_the_ID();
	$portfolio_terms = get_the_terms( $postID , 'portfolio-category' );
	$portfolio_id = '';
	if(is_array($portfolio_terms)){
		foreach($portfolio_terms as $term) $portfolio_id.= ' folio-'.$term->term_id;		
	}
	if( $portfolio_open == 'normal')
		$portfolio_link = 'href="'.get_permalink().'"';
	else
		$portfolio_link = 'href="#pfolio/'.$postID.'" data-id="'.$postID.'" ';
	?>
	<div class="portfolio-item <?php echo $portfolio_id; ?>"> 							
		<a <?php echo $portfolio_link; ?>><?php the_post_thumbnail( $thumb ); ?>
			<div class="folio-item">
				<div class="info">
					<h2><?php the_title() ?></h2>
					<h3><?php
						$category = '';
						if(is_array($portfolio_terms)){
							foreach($portfolio_terms as $term) $category .= $term->name.' / ';		
						}
						echo $category = substr($category, 0, -3);

						?>
					</h3>
				</div>
				<?php if( tie_get_option( 'portfolio_likes' ) ): 
					$count = get_post_meta($post->ID, 'tie_likes', true); ?>
					<span class="small-likes">
					<?php if( empty($count) ) echo "0"; else  echo $count;?>
					</span>
				<?php endif; ?>
			</div>
		</a>
	</div>			
<?php endwhile;?>