<?php 
/*
Template Name: Background Image
*/
?>
<?php get_header(); ?>

<script>
	jQuery(document).ready(function() {
		jQuery('header').imagesLoaded(function() {
			var headerheight = jQuery('#header').outerHeight();
			jQuery('.full-img').css({"top":headerheight+"px"});
		});		
	});
</script>
<?php
	$get_meta = get_post_custom($post->ID);
	
	$full_img = tie_full_image();
	if( !empty( $get_meta["tie_img_url"][0] ) ) 
		$full_img = $get_meta["tie_img_url"][0] ;
	?>
	<div class="full-img" style="background-image:url(<?php echo $full_img; ?>);filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $full_img; ?>',sizingMethod='scale');-ms-filter: "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='<?php echo $full_img; ?>',sizingMethod='scale')";"></div>

<?php if( empty( $get_meta["tie_hide_content"][0 ]) ) : ?>
<div class="container<?php echo tie_get_sidebar() ;?>">

	<div id="single-content">
		<div class="post-inner">		
		<?php if ( ! have_posts() ) : ?>
			<div id="post-0" class="post not-found item-list">
				<h1 class="entry-title"><?php _e( 'Not Found', 'tie' ); ?></h1>
				<div class="entry">
					<p><?php _e( 'Apologies, but no results were found for the requested archive. Perhaps searching will help find a related post.', 'tie' ); ?></p>
					<?php get_search_form(); ?>
				</div>
			</div>
		<?php endif; ?>
		
		<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
		<?php $get_meta = get_post_custom($post->ID);  ?>
		
		<article class="item-list post">
			<h1 class="entry-title"><?php the_title(); ?></h1>
			<p class="post-meta"></p>
			<div class="clear"></div>
			<div class="entry">
				<?php the_content(); ?>
				<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'tie' ), 'after' => '</div>' ) ); ?>
				
				<?php edit_post_link( __( 'Edit', 'tie' ), '<span class="edit-link">', '</span>' ); ?>
			</div><!-- .entry /-->	
		</article><!-- .post-listing -->
		<?php endwhile; ?>
		
		<?php comments_template( '', true ); ?>
		</div><!-- .post-inner -->
	</div><!-- .content -->
	
	<?php get_sidebar('right'); ?>

</div><!-- .container /-->
<?php endif; ?>
<?php get_footer(); ?>