<?php get_header(); ?>
<?php 
	$container = '' ; 
	if( tie_get_option( 'on_home' ) != 'grid') $container = ' class="container"'; ?>

<div id="main-content"<?php echo $container ?>>
	<?php if ( have_posts() ) the_post(); ?>
	<?php if( is_tag() ): ?>
	<div class="page-head">
		<h2 class="page-title">
			<?php printf( __( 'Tag Archives: %s', 'tie' ), '<span>' . single_tag_title( '', false ) . '</span>' );	?>
		</h2>
		<?php if( tie_get_option( 'tag_rss' ) ):
			$tag_id = get_query_var('tag_id'); ?>
		<a class="rss-cat-icon tooltip" title="<?php _e( 'Feed Subscription', 'tie' ); ?>"  href="<?php echo  get_term_feed_link($tag_id , 'post_tag', "rss2") ?>"><?php _e( 'Feed Subscription', 'tie' ); ?></a>
		<?php endif; ?>
	</div>	
	<?php elseif( is_category() ): ?>
		<?php $category_id = get_query_var('cat') ; ?>
	<div class="page-head">
		<h2 class="page-title">
			<?php printf( __( 'Category Archives: %s', 'tie' ), '<span>' . single_cat_title( '', false ) . '</span>' );	?>
		</h2>
		<?php if( tie_get_option( 'category_rss' ) ): ?>
		<a class="rss-cat-icon ttip" title="<?php _e( 'Feed Subscription', 'tie' ); ?>" href="<?php echo get_category_feed_link($category_id) ?>"><?php _e( 'Feed Subscription', 'tie' ); ?></a>
		<?php endif; ?>
		<div class="stripe-line"></div>

		<?php
		if( tie_get_option( 'category_desc' ) ):	
			$category_description = category_description();
			if ( ! empty( $category_description ) )
			echo '<div class="clear"></div><div class="archive-meta">' . $category_description . '</div>';
		endif;
		?>
	</div>
	<?php elseif( is_day() || is_month() || is_year() ): ?>
	<div class="page-head">
		<h2 class="page-title">
			<?php if ( is_day() ) : ?>
				<?php printf( __( 'Daily Archives: <span>%s</span>', 'tie' ), get_the_date() ); ?>
			<?php elseif ( is_month() ) : ?>
				<?php printf( __( 'Monthly Archives: <span>%s</span>', 'tie' ), get_the_date( 'F Y' ) ); ?>
			<?php elseif ( is_year() ) : ?>
				<?php printf( __( 'Yearly Archives: <span>%s</span>', 'tie' ), get_the_date( 'Y' ) ); ?>
			<?php endif; ?>
		</h2>
	</div>
	<?php elseif( is_author() ): ?>
	<div class="page-head">
		<h2 class="page-title">
				<?php printf( __( 'Author Archives: %s', 'tie' ),  get_the_author() ); ?>
			</h2>
			<?php if( tie_get_option( 'author_rss' ) ): ?>
			<a class="rss-cat-icon ttip" title="<?php _e( 'Feed Subscription', 'tie' ); ?>"  href="<?php echo get_author_feed_link( get_the_author_meta('ID')  ); ?>"><?php _e( 'Feed Subscription', 'tie' ); ?></a>
			<?php endif; ?>
			<div class="stripe-line"></div>
			
			<?php if( tie_get_option( 'author_bio' ) ): ?>
			<div class="author-bio">
				<div id="author-avatar">
					<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'tie_author_bio_avatar_size', 60 ) ); ?>
				</div><!-- #author-avatar -->
				
				<div id="author-description">
					<?php the_author_meta( 'description' ); ?>
				</div><!-- #author-description -->
				<div class="author-social">
					<?php if ( get_the_author_meta( 'url' ) ) : ?>
					<a class="ttip" href="<?php the_author_meta( 'url' ); ?>" title="<?php the_author_meta( 'display_name' ); ?><?php _e( " 's site", 'tie' ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/icon_site.png" alt="" /></a>
					<?php endif ?>	
					<?php if ( get_the_author_meta( 'twitter' ) ) : ?>
					<a class="ttip" href="http://twitter.com/<?php the_author_meta( 'twitter' ); ?>" title="<?php the_author_meta( 'display_name' ); ?><?php _e( '  on Twitter', 'tie' ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/icon_twitter.png" alt="" /></a>
					<?php endif ?>	
					<?php if ( get_the_author_meta( 'facebook' ) ) : ?>
					<a class="ttip" href="<?php the_author_meta( 'facebook' ); ?>" title="<?php the_author_meta( 'display_name' ); ?> <?php _e( '  on Facebook', 'tie' ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/icon_facebook.png" alt="" /></a>
					<?php endif ?>
					<?php if ( get_the_author_meta( 'google' ) ) : ?>
					<a class="ttip" href="<?php the_author_meta( 'google' ); ?>" title="<?php the_author_meta( 'display_name' ); ?> <?php _e( '  on Google+', 'tie' ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/icon_google.png" alt="" /></a>
					<?php endif ?>	
					<?php if ( get_the_author_meta( 'linkedin' ) ) : ?>
					<a class="ttip" href="<?php the_author_meta( 'linkedin' ); ?>" title="<?php the_author_meta( 'display_name' ); ?> <?php _e( '  on Linkedin', 'tie' ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/icon_linkedin.png" alt="" /></a>
					<?php endif ?>				
					<?php if ( get_the_author_meta( 'flickr' ) ) : ?>
					<a class="ttip" href="<?php the_author_meta( 'flickr' ); ?>" title="<?php the_author_meta( 'display_name' ); ?><?php _e( '  on Flickr', 'tie' ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/icon_flickr.png" alt="" /></a>
					<?php endif ?>	
					<?php if ( get_the_author_meta( 'youtube' ) ) : ?>
					<a class="ttip" href="<?php the_author_meta( 'youtube' ); ?>" title="<?php the_author_meta( 'display_name' ); ?><?php _e( '  on YouTube', 'tie' ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/icon_youtube.png" alt="" /></a>
					<?php endif ?>
					<?php if ( get_the_author_meta( 'pinterest' ) ) : ?>
					<a class="ttip" href="<?php the_author_meta( 'pinterest' ); ?>" title="<?php the_author_meta( 'display_name' ); ?><?php _e( '  on Pinterest', 'tie' ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/icon_pinterest.png" alt="" /></a>
					<?php endif ?>	
				</div>
			</div>
			<?php endif; ?>
	</div>
	<?php endif; ?>
	
<?php
	if( tie_get_option( 'on_home' ) == 'grid') :
    wp_enqueue_script( 'tie-blog' );
	
	$content = '';
	$type = 'load';
?>
	<div id="blog-grid">
	<?php 
		rewind_posts();
		get_template_part( 'loop', 'index' );
	?>
	</div>
	<?php if ($wp_query->max_num_pages > 1) tie_pagenavi( 'load' ); ?>

<script type='text/javascript'>
/* <![CDATA[ */
var tiePost = {"paged" : "<?php echo $paged ?>" ,"maxPages" : "<?php echo $wp_query->max_num_pages ?>" , "query" : "<?php echo $query_string; ?>" };
/* ]]> */
</script>

<?php else: ?>
	<div id="content">
	<?php 
		rewind_posts();
		get_template_part( 'loop', 'index' );
	?>
	<?php if ($wp_query->max_num_pages > 1) tie_pagenavi(); ?>
	</div>
	
	<?php get_sidebar('right'); ?>
<?php endif; ?>
</div><!-- .container /-->

<?php get_footer(); ?>