<?php get_header(); ?>
<?php
    wp_enqueue_script( 'tie-portfolio' );
	$get_meta = get_post_custom($post->ID);
	
	$portfolio_open = tie_get_option('portfolio_open');

	$thumb = 'folio-thumb2';
	if( tie_get_option('portfolio_layout') == 'masonry' )
		$thumb = 'folio-thumb';

?>
<div id="portfolio-wrapper">
	<div id="portfolio-content"></div>
	<div id="portfolio-wrap">
		<div id="portfolio-grid" class="da-thumbs" >        
		<?php
			global $query_string;
			query_posts( $query_string.'&posts_per_page=-1' );
			while ( have_posts()) : the_post(); 
				$portfolio_terms = get_the_terms( get_the_ID(), 'portfolio-category' );
				$portfolio_id = '';
				if(is_array($portfolio_terms)){
					foreach($portfolio_terms as $term) $portfolio_id.= ' folio-'.$term->term_id;		
				}
			if( $portfolio_open == 'normal')
				$portfolio_link = 'href="'.get_permalink().'"';
			else
				$portfolio_link = 'href="#pfolio/'.$post->ID.'" data-id="'.$post->ID.'" ';			
		?>
		<div class="portfolio-item <?php echo $portfolio_id; ?>"> 							
			<a <?php echo $portfolio_link; ?>><?php the_post_thumbnail( $thumb ); ?>
				<div class="folio-item">
					<div class="info">
						<h2><?php the_title() ?></h2>
						<h3><?php
							$category = '';
							if(is_array($portfolio_terms)){
								foreach($portfolio_terms as $term) $category .= $term->name.' / ';		
							}
							echo $category = substr($category, 0, -3);
							?>
						</h3>
					</div>
				</div>
			</a>
		</div>					
		<?php endwhile; wp_reset_postdata(); ?>         
		</div>
	</div>
</div><!-- .portfolio-wrapper /-->
	<script type='text/javascript'>
		/* <![CDATA[ */
		var tiePost = {'paged' : '<?php echo $paged ?>' ,'maxPages' : '<?php echo $wp_query->max_num_pages ?>' , 'query' : '<?php echo serialize( $args ) ?>' , 'thumb' : '<?php echo $thumb; ?>'};
		/* ]]> */
	</script>
<?php get_footer(); ?>