<?php
/*
Template Name: Gallery
*/
?>
<?php get_header(); ?>
<?php if (post_password_required() ) : ?>
	<div class="password-protected">
		<div class="gallery-password-protected">
			<h1 class="entry-title"><?php the_title();?></h1>
			<div class="sep"></div>
			<?php the_content();?>
		</div>
	</div>

<?php else : ?>
<?php
	the_post();
	$the_content = get_the_content();
	if( !empty($the_content) ): ?>
	<div class="page-intro">
	<?php echo $the_content;?>
	</div>
	<?php endif; ?>
<?php
    wp_enqueue_script( 'tie-portfolio' );
	$get_meta = get_post_custom($post->ID);
	
	$thumb = 'folio-thumb';
	if(  empty( $get_meta["tie_gallery_layout"][0] ) ||  $get_meta["tie_gallery_layout"][0] == 'equal' )
		$thumb = 'folio-thumb2';

?>
<div id="portfolio-wrapper">
	<div id="portfolio-wrap">
		<div id="portfolio-grid" class="da-thumbs gallery-grid">        
		<?php 
			$custom = get_post_custom($post->ID);
			$slider = unserialize( $custom["post_gallery"][0] );
			$number = count($slider);
			$imgaes = array();
			if( $slider ){
			foreach( $slider as $slide ){
				$image = wp_get_attachment_image_src( $slide['id'] , 'full' );
				$image_thumb = wp_get_attachment_image_src( $slide['id'] , $thumb );
				$video = get_post_meta( $slide['id'] , 'tie_video_url', true );
				$item_path = $image[0];
				$item_class = ' image-item';
				if( !empty($video) ){
					$item_path = $video;
					$item_class = ' video-item';
				}
			?>
		<div class="portfolio-item<?php echo $item_class ?>"> 							
			<a href="<?php echo $item_path ?>" rel="prettyPhoto[gallery]">
				<img src="<?php echo $image_thumb[0] ; ?>" alt="" />
				<div>
					<div class="info"></div>
				</div>
			</a>
		</div>	
		<?php } } ?>

		</div>
	</div>
	<script type='text/javascript'>
		/* <![CDATA[ */
		var tiePost = {'paged' : '<?php echo $paged ?>' ,'maxPages' : '<?php echo $wp_query->max_num_pages ?>' , 'query' : '<?php echo serialize( $args ) ?>' , 'thumb' : '<?php echo $thumb; ?>'};
		/* ]]> */
	</script>
</div><!-- .container /-->
<?php endif; ?>

<?php get_footer(); ?>