<?php if ( function_exists("has_post_thumbnail") && has_post_thumbnail() ) : ?>			
<div class="post-media standard-img">
	<a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'tie' ), the_title_attribute( 'echo=0' ) ); ?>"><?php tie_thumb( tie_post_width() ); ?></a>
</div>
<?php endif; ?>
<?php 
if( !is_singular() ) { ?>
    <h2 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'tie' ), the_title_attribute( 'echo=0' ) ); ?>"><?php the_title(); ?></a></h2>
	<?php tie_include( 'post-meta' ); // Get Post Meta template ?>	
	<div class="entry">
		<p><?php echo get_the_excerpt() ?>
		<a class="more-link" href="<?php the_permalink() ?>"><?php _e( 'Read More &raquo;', 'tie' ) ?></a></p>
	</div>
<?php } else { ?>
    <h1 class="entry-title"><?php the_title(); ?></h1>
	<?php tie_include( 'post-meta' ); // Get Post Meta template ?>	
	<div class="entry">
		<?php the_content( __( 'Read More &raquo;', 'tie' ) ); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'tie' ), 'after' => '</div>' ) ); ?>
	</div>
<?php } ?>