<?php get_header(); ?>
<div id="main-content" class="container">
		<div class="page-head">
			<h2 class="page-title">
				<?php if ( have_posts() ) : ?>
				<?php printf( __( 'Search Results for: %s', 'tie' ), '<span>' . get_search_query() . '</span>' ); ?>
				<?php else : ?>
				<?php _e( 'Nothing Found', 'tie' ); ?>
				<?php endif; ?>
			</h2>
			<div class="stripe-line"></div>
		</div>
	<div id="content">		
		<?php if ( have_posts() ) : ?>
			<div id="grid">
			<?php get_template_part( 'loop', 'search' );	?>
			</div><!-- .grid /-->
			<?php if ($wp_query->max_num_pages > 1) tie_pagenavi(); ?>
		<?php else : ?>
			<div id="post-0" class="post not-found item-list">
				<div class="entry post-inner">
					<p><?php _e( 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', 'tie' ); ?></p>
				</div>
			</div>
		<?php endif; ?>
	</div>
	
	<?php get_sidebar(); ?>
</div><!-- .container /-->

<?php get_footer(); ?>
